Timbrify
API ReferenceConsumer Suite
GET
/api/v1/consumer/suite/invoices

Query Parameters

page?integer
Default1
Range1 <= value <= 9007199254740991
pageSize?integer
Default50
Range1 <= value <= 100
status?string
Value in"PENDING" | "STAMPING" | "STAMPED" | "FAILED" | "CANCELLED"
issuerId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

curl -X get "https://api.timbrify.com/api/v1/consumer/suite/invoices"
{
  "data": {
    "invoices": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "receiver_rfc": "string",
        "receiver_name": "string",
        "cfdi_type": "string",
        "total": 0,
        "uuid": "string",
        "status": "string",
        "created_at": "string",
        "issuer_rfc": "string",
        "issuer_name": "string"
      }
    ],
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "total": 0,
      "totalPages": 0
    }
  }
}
{
  "error": "string",
  "message": "string",
  "details": null
}